Loading...
Searching...
No Matches
parse_cmd.h File Reference

comfortable command-line parsing More...

`#include <stdarg.h>`
`#include <l4/sys/compiler.h>`
Include dependency graph for parse_cmd.h:

Go to the source code of this file.

## Typedefs

typedef void(* | parse_cmd_fn_t) (int)
| Function type for PARSE_CMD_FN.
typedef void(* | parse_cmd_fn_arg_t) (int, const char *, int)
| Function type for PARSE_CMD_FN_ARG.

## Enumerations

enum | parse_cmd_type
| Types for parsing.

## Functions

L4_BEGIN_DECLS int | parse_cmdline (int *argc, const char ***argv, int arg0,...)
| Parse the command-line for specified arguments and store the values into variables.

## Detailed Description

comfortable command-line parsing

Date
  2002

Author
  Jork Loeser jork..nosp@m.loes.nosp@m.er@in.nosp@m.f.tu.nosp@m.-dres.nosp@m.den..nosp@m.de

Definition in file parse_cmd.h.